Issue313

Title program does not compile on Windows 7 64 bits with neither of python installations 3.5, 2.7, and Anaconda python 2.7
Priority bug Status resolved
Superseder Nosy List dutchrob
Assigned To Keywords compiler, compiler_crash, windows

Created on 2016-06-28.16:17:24 by dutchrob, last changed by kayhayen.

Files
File name Uploaded Type Edit Remove
test.py dutchrob, 2016-06-28.16:18:56 text/plain
Messages
msg2333 (view) Author: dutchrob Date: 2018-03-15.17:32:00
I tried Nuitka again on that 'hello World' and now it works. Thanks! (This is
after updating to Nuitka version 3.28 and to Visual Studio 2015.)

I apologize for the delay in my response to your earlier feedback. Last Oct. my
job had just provided me with a new workstation, which came at the price of loss
of admin rights. 
I am going to try working more with Nuitka. I hope that it works on the program
that I am currently working on because I expect that Nuitka will make a huge
difference for better performance.
Thanks VERY much for all the work that you have put into this!!
msg2326 (view) Author: kayhayen Date: 2018-03-14.13:39:57
Lack of feedback
msg2259 (view) Author: kayhayen Date: 2017-10-17.16:57:31
I am pretty sure that /usr/bin/dlltool tool is not a MinGW output. Maybe you are 
trying to use Cygwin, which would not be supported.
msg1940 (view) Author: dutchrob Date: 2016-06-28.16:17:24
I am trying to compile the attached simple 'hello world' program but I get 
similar error messages when trying with Python 3.5, Python 2.7, or Anaconda 
Python 2.7. (quoted below)
With the first two tries, the file python27.defs is empty. The Anaconda version 
does produce a nonempty python27.defs file but still does not appear to produce 
test.buildresources.rc

I am just starting with Nuitka so I am not sure what should be in those files, I 
may have done something very basic wrong but I think I followed the installation 
instructions...

Best regards,
Rob

C:\Users\rob\PyCharmProjects\test>nuitka --recurse-all --standalone test.py
/usr/bin/dlltool: Syntax error in def file test.build\libs\python35.defs:0
gcc.exe: error: test.buildresources.rc: No such file or directory
gcc.exe: warning: '-x c' after last input file has no effect
gcc.exe: fatal error: no input files
compilation terminated.
windres: preprocessing failed.
scons: *** [test.build\resources.o] Error 1

C:\Users\rob\PyCharmProjects\test>C:\Python27\Scripts\nuitka --recurse-all --
standalone test.py
/usr/bin/dlltool: Syntax error in def file test.build\libs\python27.defs:0
gcc.exe: error: test.buildresources.rc: No such file or directory
gcc.exe: warning: '-x c' after last input file has no effect
gcc.exe: fatal error: no input files
compilation terminated.
windres: preprocessing failed.
scons: *** [test.build\resources.o] Error 1

C:\Users\rob\PyCharmProjects\test>C:\Anaconda\Scripts\nuitka --recurse-all 
test.py
gcc.exe: error: test.buildresources.rc: No such file or directory
gcc.exe: warning: '-x c' after last input file has no effect
gcc.exe: fatal error: no input files
compilation terminated.
windres: preprocessing failed.
scons: *** [test.build\resources.o] Error 1
History
Date User Action Args
2018-03-27 10:35:42kayhayensetstatus: chatting -> resolved
2018-03-15 17:32:01dutchrobsetstatus: resolved -> chatting
messages: + msg2333
2018-03-14 13:39:57kayhayensetstatus: chatting -> resolved
messages: + msg2326
2017-10-17 16:57:31kayhayensetstatus: unread -> chatting
messages: + msg2259
2016-06-28 16:18:56dutchrobsetfiles: + test.py
2016-06-28 16:17:24dutchrobcreate